package net.northking.cctp.upperComputer.enums;

public enum BrandEnum {

    APPLE("APPLE", "苹果"),
    ONEPLUS("ONEPLUS", "一加"),
    HUAWEI("HUAWEI", "华为"),
    XIAOMI("XIAOMI", "小米"),
    OPPO("OPPO", "OPPO"),
    VIVO("VIVO", "VIVO"),
    MEIZU("MEIZU", "魅族"),
    SAMSUNG("SAMSUNG", "三星"),
    HONOR("HONOR", "荣耀"),
    REDMI("REDMI", "红米"),
    LENOVO("LENOVO", "联想"),
    TCL("TCL", "TCL"),
    XIAOLAJIAO("XIAOLAJIAO", "小辣椒"),
    O360("360", "360"),
    NOKIA("NOKIA","诺基亚"),
    MOTOROLA("MOTOROLA", "摩托罗拉"),
    REALME("REALME", "REALME"),
    ZTE("ZTE","中兴");


    private String engName;

    private String chnName;

    BrandEnum(String engName,String chnName){
        this.engName = engName;
        this.chnName = chnName;
    }

    public static String getChnName(String engName){
        String key = engName.toUpperCase();
        BrandEnum[] values = BrandEnum.values();
        for (BrandEnum value : values) {
            if (value.engName.equals(key)) {
                return value.chnName;
            }
        }
        return "";
    }
}
